<?php
namespace Wordpress\Plugins\CarDealerPress\Inventory\Api;
?>

	<div id="view-Color" class="view-wrapper">
		<div class="tr-wrapper">
			<div class="td-full">
				<h4 class="divider">Exterior Color Mapping</h4>
			</div>
		</div>
		<div class="tr-wrapper tr-color">
			<?php $value = ($this->options['vehicle_management_system']['color_mapping']['enable'] != '' ? 'checked': ''); ?>
			<div class="td-two right"><span class="td-title">Enable Color Mapping</span></div>
			<div class="td-two">
				<input type="checkbox" id="enable-color-mapping" name="vehicle_management_system/color_mapping/enable" <?php echo $value; ?> class="cdp-input" />
			</div>
			<div class="td-full" style="text-align: center;"><small><i>Enabling this will force inventory import to re-run.</i></small></div>
		</div>
		<div class="tr-wrapper tr-color">
			<?php $value = ( isset($this->options['vehicle_management_system']['color_mapping']['default_text'])? $this->options['vehicle_management_system']['color_mapping']['default_text']: 'Unknown'); ?>
			<div class="td-two right"><span class="td-title">Default Color Text</span></div>
			<div class="td-two">
				<input type="text" id="color-mapping-default-text" name="vehicle_management_system/color_mapping/default_text" value="<?php echo $value; ?>" class="cdp-input" />
			</div>
		</div>
		<?php
		foreach( $this->options['vehicle_management_system']['color_mapping']['exterior'] as $key=>$values ){
			echo '<div class="tr-wrapper tr-color">';
				echo '<div class="td-two short right"><span class="td-title">'.ucfirst($key).':</span></div>';
				echo '<div class="td-two long">';
					echo '<textarea type="text" id="color-'.$key.'" class="cdp-input" name="vehicle_management_system/color_mapping/exterior/'.$key.'" >'.$values.'</textarea>';
				echo '</div>';
			echo '</div>';
		}
		?>
	</div>